Package org.eclipse.jgit.internal.storage.file

## Class BitmapIndexImpl

- java.lang.Object
- - org.eclipse.jgit.internal.storage.file.BitmapIndexImpl

All Implemented Interfaces:
  `BitmapIndex`

    public class BitmapIndexImpl
    extends Object
    implements BitmapIndex

A compressed bitmap representation of the entire object graph.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jgit.lib.BitmapIndex

`BitmapIndex.Bitmap, BitmapIndex.BitmapBuilder`

### Constructor Summary

Constructors
`BitmapIndexImpl​(PackBitmapIndex packIndex)` Creates a BitmapIndex that is back by Compressed bitmaps.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jgit.internal.storage.file.BitmapIndexImpl.CompressedBitmap` `getBitmap​(AnyObjectId objectId)` Get the bitmap for the id.
`org.eclipse.jgit.internal.storage.file.BitmapIndexImpl.CompressedBitmapBuilder` `newBitmapBuilder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitmapIndexImpl

    public BitmapIndexImpl​(PackBitmapIndex packIndex)

Creates a BitmapIndex that is back by Compressed bitmaps.

Parameters:
  `packIndex` - the bitmap index for the pack.

### Method Detail

#### getBitmap

    public org.eclipse.jgit.internal.storage.file.BitmapIndexImpl.CompressedBitmap getBitmap​(AnyObjectId objectId)

Description copied from interface: `BitmapIndex`
Get the bitmap for the id. The returned bitmap is immutable and the bitwise operations return the result of the operation in a new Bitmap.

Specified by:
  `getBitmap` in interface `BitmapIndex`
Parameters:
  `objectId` - the object ID
Returns:
  the Bitmap for the objectId or null, if one does not exist.

#### newBitmapBuilder

    public org.eclipse.jgit.internal.storage.file.BitmapIndexImpl.CompressedBitmapBuilder newBitmapBuilder()

Specified by:
  `newBitmapBuilder` in interface `BitmapIndex`
Returns:
  a new `BitmapBuilder` based on the values in the index.